GET
/
api
/
v1
/
attendance
/
history
Get Attendance History
curl --request GET \
  --url https://api.jobsim.work/api/v1/attendance/history \
  --header 'Authorization: Bearer <token>'
[
  {
    "user_id": "<string>",
    "organization_id": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "_id": "<string>",
    "check_in_time": "2023-11-07T05:31:56Z",
    "check_out_time": "2023-11-07T05:31:56Z",
    "total_hours": 123,
    "status": "present",
    "is_late": true,
    "notes": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string | null

Start date (YYYY-MM-DD)

end_date
string | null

End date (YYYY-MM-DD)

limit
integer
default:30
Required range: x <= 100

Response

Successful Response

user_id
string
required
organization_id
string
required
date
string<date-time>
required
_id
string | null
check_in_time
string<date-time> | null
check_out_time
string<date-time> | null
total_hours
number | null
status
enum<string>
default:present

Status of attendance record

Available options:
present,
absent,
half_day,
on_leave
is_late
boolean | null

True if check-in after office start + grace; set at check-in. None = legacy row.

notes
string | null
created_at
string<date-time>
updated_at
string<date-time>